import { PluginType, } from "../../interfaces";
export var returnObjectInExtractorPlugin = "returnObjectInExtractorPlugin";
export var testMarkdown = "\n  > **NOTE**: Sections with the asterisk sign (*) are optional.\n  \n  # Plugin Name\n  \n  Modify the plugin name and insert the name of your plugin. Use Heading 1 (H1).\n  \n  ## Overview\n  \n  Provide a description of the plugin functionality. For example, describe the resources types on which it is adapted.\n  \n  ## Prerequisites*\n  \n  > **NOTE**: Don't consider`@kyma-project/documentation-component` a prerequisite. \n  \n  List the packages, including render engines, required to use the plugin. \n  \n  ## Installation\n  \n  Explain the steps to install your plugin.\n  \n  ## Usage \n  \n  ### Configuration*\n  \n  Create a table listing the available options for your plugin. Use the following table structure:\n  \n  | Name | Required | Type | Default value | Description |\n  |---|---|---|---|---|\n  | `disableRelativeLinks` | No | `boolean` | `false` | Disable relative links in markdown files |\n  \n  ## Development*\n  \n  Add instructions on how to develop the plugin. It must be clear what to do and how to trigger the tests.\n  ";
export var pluginType = "testType";
export var trimSourceToThisChars = 20;
export var testDataWithOptionsString = "testDataWithOptions";
export var pluginSource = function () { return ({
    source: {
        rawContent: testMarkdown,
        type: pluginType,
    },
}); };
export var testExtractorPlugin = function (_a) {
    // do any kind of operation, just to test whether options are correctly propagated
    var source = _a.source, _b = _a.options, options = _b === void 0 ? {} : _b;
    var changedSource = source.rawContent.slice(0, trimSourceToThisChars);
    if (options.testOption) {
        return {
            testDataWithOptions: testDataWithOptionsString,
            src: changedSource,
        };
    }
    return { testData: returnObjectInExtractorPlugin, data: source.rawContent };
};
export var testMutationPlugin = function (_a) {
    // do any kind of operation, just to test whether options are correctly propagated
    var source = _a.source, _b = _a.options, options = _b === void 0 ? {} : _b;
    var changedSource = source.rawContent.slice(0, trimSourceToThisChars);
    if (options.testOption) {
        return {
            testData: testDataWithOptionsString,
            src: changedSource,
        };
    }
    return { testData: "testData", data: source.rawContent };
};
export var testPluginName = "testName";
export var testPluginNoOptions = function (extension) { return ({
    name: testPluginName,
    type: PluginType.EXTRACTOR,
    sourceTypes: [extension],
    fn: testExtractorPlugin,
}); };
export var testPluginWithOptions = function (extension) { return ({
    plugin: {
        name: testPluginName,
        type: PluginType.EXTRACTOR,
        sourceTypes: [extension],
        fn: testExtractorPlugin,
    },
    options: { testOption: true },
}); };
export var blankPlugin = function (extension) { return ({
    name: "blankPlugin",
    type: PluginType.EXTRACTOR,
    sourceTypes: [extension],
    fn: testExtractorPlugin,
}); };
