import { replaceAllLessThanChars } from "./replaceAllLessThanChars";
describe("replaceAllLessThanChars", function () {
    var lessThanChar = "&#60;";
    test("should not alter string without '<' character", function () {
        var codeBlock = "\n    ```\n    code\n    ```";
        var ans = replaceAllLessThanChars(codeBlock);
        var correct = codeBlock;
        expect(ans).toStrictEqual(correct);
    });
    test("should alter '<' to '" + lessThanChar + "'", function () {
        var codeBlock = "\n    ```\n    code<code\n    ```";
        var ans = replaceAllLessThanChars(codeBlock);
        var correct = "\n    ```\n    code" + lessThanChar + "code\n    ```";
        expect(ans).toStrictEqual(correct);
    });
    test("should alter '<' to '" + lessThanChar + "' in multiple occurences", function () {
        var codeBlock = "\n    ```\n    code<<<code\n    ```";
        var ans = replaceAllLessThanChars(codeBlock);
        var correct = "\n    ```\n    code" + lessThanChar + lessThanChar + lessThanChar + "code\n    ```";
        expect(ans).toStrictEqual(correct);
    });
    test("should alter '<' to '" + lessThanChar + "' in multiple occurences", function () {
        var codeBlock = "\n    ```\n    code<<<code\n    ```";
        var ans = replaceAllLessThanChars(codeBlock);
        var correct = "\n    ```\n    code" + lessThanChar + lessThanChar + lessThanChar + "code\n    ```";
        expect(ans).toStrictEqual(correct);
    });
    test("should work in multiple codeblocks in one ", function () {
        var codeBlock = "\n    ```\n    <\n    ```\n    \n    ```\n    < TADA!\n    ```\n    ";
        var ans = replaceAllLessThanChars(codeBlock);
        var correct = "\n    ```\n    " + lessThanChar + "\n    ```\n    \n    ```\n    " + lessThanChar + " TADA!\n    ```\n    ";
        expect(ans).toStrictEqual(correct);
    });
});
